Page MenuHomeFreeBSD

Update devel/yaml-cpp to 0.6.0 and fix downstream ports openxcom and openbmp
ClosedPublic

Authored by madpilot on Feb 1 2018, 10:07 AM.

Details

Summary

I'd like to update the devel/yaml-cpp port to the latest version.

The new version dropped the dependency on boost and changed some internal logic.

While testing I discovered games/openxcom and net-mgmt/openbmp need fixes.

openxcom needs adding USE_CXXSTD=c++11 because yaml-cpp includes now require that. I also added missing cmath includes in a few files, I think yaml-cpp includes don't pull that in anymore in those cases.

openbmp lacks an explicit dependency on boost-libs. It was not failing before since yaml-cpp was pulling that in.

Can you review these changes? Thanks.

Test Plan

Tested them in poudriere for supported FreeBSD versions and launched the programs on my machine. All works fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

madpilot retitled this revision from Update devel/yaml-cpp to 0.6.0 and fix dowwnstream ports openxcom and openbmp to Update devel/yaml-cpp to 0.6.0 and fix downstream ports openxcom and openbmp.Feb 3 2018, 12:22 PM

Updated review to reflect new upstream release with minor changes.

net-mgmt/openbmp/Makefile
19 ↗(On Diff #38810)

I ran some tests and libbost_signals.so is not needed.
BTW boost-libs is needed at build time.

I'd replace that LIB_DEPENDS line with the following:
BUILD_DEPENDS= ${LOCALBASE}/include/boost/exception/all.hpp:devel/boost-libs

or similar

This revision is now accepted and ready to land.Feb 9 2018, 3:13 PM
madpilot marked an inline comment as done.

Better fix for openbmp boost requirement.

This revision now requires review to proceed.Feb 10 2018, 7:18 AM
This revision is now accepted and ready to land.Feb 12 2018, 4:28 PM
This revision was automatically updated to reflect the committed changes.